﻿namespace CnBlogsDemos.ReportingDBManager
{
    using System.Data.Entity;
    using System.Data.Entity.Migrations;


    internal sealed class ReportingDbMigrationsConfiguration : DbMigrationsConfiguration<DbStoreContext>
    {
        public ReportingDbMigrationsConfiguration()
        {
            AutomaticMigrationsEnabled = true;
            AutomaticMigrationDataLossAllowed = true;
        }
    }

    public class DbStoreContext : DbContext
    {
        public DbStoreContext()
            : base("name=ReportingDataBase")
        {
            Database.SetInitializer<DbStoreContext>(
                new MigrateDatabaseToLatestVersion<DbStoreContext, ReportingDbMigrationsConfiguration>());

            this.Configuration.LazyLoadingEnabled = false;
        }

        public DbSet<Bar> Bars { get; set; }
        public DbSet<Trend> Trends { get; set; }



    }
}
